Subject: bug#62775: 29.0.60; C-M-i or ispell-complete-word experiences "lookup-words error"

From: Van Ly <[email-masked]>
Date: Sat, 15 Apr 2023 17:51:31 GMT

> Date: Wed, 12 Apr 2023 09:08:16 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Agustin Martin <[email-masked]>
> > Date: Wed, 12 Apr 2023 00:50:38 +0200
> > 
> > El mar, 11 abr 2023 a las 20:03, Van Ly (<[email-masked]>) escribió:
> > 
> >                                       > The fact that this feature
> >  > depends on additional file is now mentioned in the doc string.
> > 
> >  The package "aspell-en" has what looks like cwl=>"compressed wordlist"
> >  located at
> > 
> >  /usr/share/aspell/en-*.cwl.gz
> > 
> > I wonder if there is something like /usr/share/dict/words (or /usr/share/dict/american-english) in your
> > box. It should contain the classical plain wordlist unix boxes expect.

I upgraded from the Intel x86 Mac Mini, it had the words file from a
time before Apple decided to weedout GNU free software after
Steve Jobs departed.

Plan9 userspace provides plan9/lib/words which Emacs can find in /usr.

> I guess not, because if such files were present, ispell.el ought to
> have found them, as it looks in those locations when it initializes
> ispell-alternate-dictionary, and the problem wouldn't have happened in
> the first place.
> 

The command aspell is using the 'ispell -a' compatibility mode, I
guess, the ispell-complete-word could call the aspell command for

  munch  Generate possible root words and affixes from an input  list  of
         words.